Bug 1200672 - Review Request: python-keystoneclient-kerberos - Kerberos authentication for the OpenStack clients
Summary: Review Request: python-keystoneclient-kerberos - Kerberos authentication for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1148175 (view as bug list)
Depends On:
Blocks: 1193702
TreeView+ depends on / blocked
 
Reported: 2015-03-11 06:53 UTC by Jamie Lennox
Modified: 2021-06-04 07:06 UTC (History)
4 users (show)

Fixed In Version: python-keystoneclient-kerberos-0.1.4-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-11 18:40:13 UTC
Type: ---
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Lennox 2015-03-11 06:53:14 UTC
Spec URL: https://fedorapeople.org/~jamielennox/python-keystoneclient-kerberos.spec
SRPM URL: https://fedorapeople.org/~jamielennox/python-keystoneclient-kerberos-0.1.3-1.fc22.src.rpm
Description: Kerberos authentication for the OpenStack clients
Fedora Account System Username: jamielennox

Comment 1 Jamie Lennox 2015-03-11 06:54:19 UTC
Note that due to the python-keystoneclient version this will only build on F22+

Comment 2 Florian "der-flo" Lehner 2015-03-11 20:09:32 UTC
Hi Jamie!

There are a few things:

[ ] Please add some explaining words to the patch. 

[ ] %doc is empty. Please add at least README.

[ ] For the license text file, you can use the following macro within %files:
    %{!?_licensedir:%global license %%doc}
    %license LICENSE

[ ] You don't use with_python3, so you don't need to define it

[ ] There is no version tag in your changelog


Cheers,
 Florian

Comment 3 Jamie Lennox 2015-03-11 22:48:30 UTC
Thanks Florian, 

These things all look obvious when someone else points them out. 

Spec URL: https://fedorapeople.org/~jamielennox/python-keystoneclient-kerberos.spec
SRPM URL: https://fedorapeople.org/~jamielennox/python-keystoneclient-kerberos-0.1.3-2.fc22.src.rpm

Comment 4 Florian "der-flo" Lehner 2015-03-12 17:13:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

---> NOT an issue! Package uses %license

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
     1 files have unknown license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
   ---> remove the dependency on oslotest which is not currently packaged
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=9211158
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-keystoneclient-kerberos-0.1.3-2.fc23.noarch.rpm
          python-keystoneclient-kerberos-0.1.3-2.fc23.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python-keystoneclient-kerberos (rpmlib, GLIBC filtered):
    python(abi)
    python-keystoneclient
    python-pbr
    python-requests-kerberos



Provides
--------
python-keystoneclient-kerberos:
    python-keystoneclient-kerberos



Source checksums
----------------
https://pypi.python.org/packages/source/p/python-keystoneclient-kerberos/python-keystoneclient-kerberos-0.1.3.tar.gz :
  CHECKSUM(SHA256) this package     : 6f6150d94adabab612123acb672dc6c227d61d4efa54cf44d75a23672282117f
  CHECKSUM(SHA256) upstream package : 6f6150d94adabab612123acb672dc6c227d61d4efa54cf44d75a23672282117f


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1200672
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 5 Jamie Lennox 2015-03-12 23:47:55 UTC
New Package SCM Request
=======================
Package Name: python-keystoneclient-kerberos
Short Description: Kerberos authentication for the OpenStack clients
Upstream URL: https://pypi.python.org/pypi/python-keystoneclient-kerberos
Owners: jamielennox
Branches: f22
InitialCC: apevec

Comment 6 Jamie Lennox 2015-03-12 23:48:12 UTC
Thanks Florian!

Comment 7 Gwyn Ciesla 2015-03-13 11:59:23 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-03-22 22:44:07 UTC
python-keystoneclient-kerberos-0.1.3-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-keystoneclient-kerberos-0.1.3-2.fc22

Comment 9 Fedora Update System 2015-03-26 21:49:01 UTC
python-keystoneclient-kerberos-0.1.3-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 10 Fedora Update System 2015-04-09 06:19:55 UTC
python-keystoneclient-kerberos-0.1.4-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-keystoneclient-kerberos-0.1.4-1.fc22

Comment 11 Fedora Update System 2015-06-11 18:40:13 UTC
python-keystoneclient-kerberos-0.1.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Mattia Verga 2021-06-04 07:06:56 UTC
*** Bug 1148175 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.